# Method: projects.settings.lookupEffectiveValue

- [HTTP request](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/lookupEffectiveValue#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/lookupEffectiveValue#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/lookupEffectiveValue#body.request_body)
- [Response body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/lookupEffectiveValue#body.response_body)
- [Authorization Scopes](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/lookupEffectiveValue#body.aspect)

Computes the effective setting value of a setting at the Cloud resource `parent`. The effective setting value is the calculated setting value at a Cloud resource and evaluates to one of the following options in the given order (the next option is used if the previous one does not exist):

1. the setting value on the given resource
2. the setting value on the given resource's nearest ancestor
3. the setting's default value
4. an empty setting value, defined as a `SettingValue` with all fields unset

Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the setting does not exist.

### HTTP request

`GET https://resourcesettings.googleapis.com/v1alpha1/{parent=projects/*/settings/*}:lookupEffectiveValue`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The setting for which an effective value will be evaluated. See `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings#Setting` for naming requirements. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `resourcesettings.settingvalues.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).